Skip to main content
GET
Search Invoices for Customer

Authorizations

x-revolv3-token
string
header
required

Headers

Client-Request-Id
string

Optional identifier generated by the client to match its own logs with this request.

Allowed values: 1 to 128 characters, letters, digits and ., _, :, -.

Examples: order-12345, 3f2b8c1e-9d4a-4e7b-a1c5-6b0d2e8f7a91 (GUID), checkout:2026-11-02.17, retry_1.order-12345.

A valid value is returned in the Client-Request-Id response header and is stored with Revolv3 request logs, so it can be used when contacting support. An invalid value is ignored and the request is processed normally. Do not send sensitive data in this header.

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9._:-]{1,128}$

Path Parameters

customerId
integer<int64>
required
Required range: 1 <= x <= 1000000000

Query Parameters

merchantCustomerRefId
string
Maximum string length: 100
merchantInvoiceRefId
string
Maximum string length: 100
startDate
string
Maximum string length: 40
endDate
string
Maximum string length: 40
page
integer<int32>
Required range: 1 <= x <= 1000
pageSize
integer<int32>
Required range: 1 <= x <= 100

Response

OK

invoiceId
integer<int64>

The unique identifier of the invoice.

Required range: 1 <= x <= 1000000000
parentInvoiceId
integer<int64> | null
Required range: 1 <= x <= 1000000000
customerId
integer<int64> | null

The unique identifier of the customer.

Required range: 1 <= x <= 1000000000
merchantInvoiceRefId
string | null

Merchant's unique identifier for the invoice.

Maximum string length: 100
paymentMethod
object
invoiceStatus
string | null

The current status of the invoice.

Possible values: Paid, Pending, Noncollectable, Failed, OneTimePaymentPending, RetryPending.

Maximum string length: 100
subtotal
number<double>
Required range: 0 <= x <= 10000000
tax
number<double>
Required range: 0 <= x <= 10000000
total
number<double>
Required range: 0 <= x <= 10000000
billingDate
string | null

The day on which the last billing was attempted for the invoice

Maximum string length: 20
Maximum string length: 200
merchantCustomerRefId
string | null
Maximum string length: 100
customerFirstName
string | null
Maximum string length: 150
customerLastName
string | null
Maximum string length: 150
subscriptionId
integer<int64> | null
Required range: 1 <= x <= 1000000000
installmentId
integer<int64> | null
Required range: 1 <= x <= 1000000000
eligibilityFailReason
string | null
Maximum string length: 500
merchantSubscriptionRefId
string | null
Maximum string length: 100
networkTransactionId
string | null

The identifier returned for Visa, Mastercard, and Discover transactions. Visa and Discover use this value to link subsequent payments in a recurring/installment stream back to the initial transaction. You must include this value in the request message (originalNetworkTransactionId element) for subsequent recurring payments.

Maximum string length: 100
currency
string | null

The three-character ISO currency code.

Default value: USD

Maximum string length: 3
invoiceLineItems
object[] | null
invoiceAttempts
object[] | null
voidAttempts
object[] | null
invoiceStatusEnum
enum<string>
Available options:
Paid,
Void,
Pending,
Recycle,
Noncollectable,
Failed,
Refund,
MerchantPaid,
MerchantCancelled,
OneTimePaymentPending,
PartialRefund,
BatchPending,
CapturePending,
RefundPending,
RefundDeclined,
RefundFailed,
RetryPending,
RecurringPending,
MultiCardsPending,
RefundVoid,
PartialRefundVoid